/*! Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to you under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare const XML_ATTR_NAMED_VIEWROOT = "namedViewRoot";
export declare const NAMED_VIEWROOT = "namedViewRoot";
export declare const P_AJAX_SOURCE = "jakarta.faces.source";
export declare const NAMING_CONTAINER_ID = "myfaces.NamingContainerId";
export declare const VIEW_ID = "myfaces.viewId";
export declare const P_VIEWSTATE = "jakarta.faces.ViewState";
export declare const P_CLIENT_WINDOW = "jakarta.faces.ClientWindow";
export declare const P_VIEWROOT = "jakarta.faces.ViewRoot";
export declare const P_VIEWHEAD = "jakarta.faces.ViewHead";
export declare const P_VIEWBODY = "jakarta.faces.ViewBody";
export declare const P_RESOURCE = "jakarta.faces.Resource";
export declare const EMPTY_FUNC: () => void;
export declare const EMPTY_STR = "";
export declare const EMPTY_MAP: Readonly<{}>;
export declare const HTML_VIEWSTATE: string;
export declare const HTML_CLIENT_WINDOW: string;
export declare const IDENT_ALL = "@all";
export declare const IDENT_NONE = "@none";
export declare const IDENT_THIS = "@this";
export declare const IDENT_FORM = "@form";
export declare const P_AJAX = "jakarta.faces.partial.ajax";
export declare const P_EXECUTE = "jakarta.faces.partial.execute";
export declare const P_RENDER = "jakarta.faces.partial.render";
export declare const P_RENDER_OVERRIDE = "_myfaces.rendeOverride";
export declare const P_EVT = "jakarta.faces.partial.event";
export declare const P_RESET_VALUES = "jakarta.faces.partial.resetValues";
export declare const P_WINDOW_ID = "jakarta.faces.windowId";
export declare const P_BEHAVIOR_EVENT = "jakarta.faces.behavior.event";
export declare const CTX_PARAM_RENDER = "render";
export declare const WINDOW_ID = "windowId";
export declare const ERROR = "error";
export declare const EVENT = "event";
export declare const ON_ERROR = "onerror";
export declare const ON_EVENT = "onevent";
export declare const BEGIN = "begin";
export declare const COMPLETE = "complete";
export declare const SUCCESS = "success";
export declare const SOURCE = "source";
export declare const STATUS = "status";
export declare const ERROR_NAME = "error-name";
export declare const ERROR_MESSAGE = "error-message";
export declare const RESPONSE_TEXT = "responseText";
export declare const RESPONSE_XML = "responseXML";
export declare const HTTPERROR = "httpError";
export declare const EMPTY_RESPONSE = "emptyResponse";
export declare const MALFORMEDXML = "malformedXML";
export declare const SERVER_ERROR = "serverError";
export declare const CLIENT_ERROR = "clientError";
export declare const TIMEOUT_EVENT = "timeout";
export declare const CTX_OPTIONS_PARAMS = "params";
export declare const CTX_OPTIONS_DELAY = "delay";
export declare const DELAY_NONE = "none";
export declare const CTX_OPTIONS_TIMEOUT = "timeout";
export declare const CTX_OPTIONS_RESET = "resetValues";
export declare const CTX_OPTIONS_EXECUTE = "execute";
export declare const CTX_PARAM_MF_INTERNAL = "myfaces.internal";
export declare const CTX_PARAM_SRC_FRM_ID = "myfaces.source.formId";
export declare const CTX_PARAM_SRC_CTL_ID = "myfaces.source.controlId";
export declare const CTX_PARAM_REQ_PASS_THR = "myfaces.request.passThrough";
export declare const CTX_PARAM_PPS = "myfaces.request.pps";
export declare const CONTENT_TYPE = "Content-Type";
export declare const HEAD_FACES_REQ = "Faces-Request";
export declare const REQ_ACCEPT = "Accept";
export declare const VAL_AJAX = "partial/ajax";
export declare const ENCODED_URL = "jakarta.faces.encodedURL";
export declare const REQ_TYPE_GET = "GET";
export declare const REQ_TYPE_POST = "POST";
export declare const STATE_EVT_BEGIN = "begin";
export declare const STATE_EVT_TIMEOUT = "TIMEOUT_EVENT";
export declare const STATE_EVT_COMPLETE = "complete";
export declare const URL_ENCODED = "application/x-www-form-urlencoded";
export declare const MULTIPART = "multipart/form-data";
export declare const NO_TIMEOUT = 0;
export declare const STD_ACCEPT = "text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8";
export declare const HTML_TAG_HEAD = "HEAD";
export declare const HTML_TAG_FORM = "FORM";
export declare const HTML_TAG_BODY = "BODY";
export declare const HTML_TAG_LINK = "LINK";
export declare const HTML_TAG_SCRIPT = "SCRIPT";
export declare const HTML_TAG_STYLE = "STYLE";
export declare const SEL_VIEWSTATE_ELEM: string;
export declare const SEL_CLIENT_WINDOW_ELEM: string;
export declare const SEL_RESPONSE_XML = "responseXML";
export declare const PHASE_PROCESS_RESPONSE = "processResponse";
export declare const ERR_NO_PARTIAL_RESPONSE = "Partial response not set";
export declare const MYFACES_OPTION_PPS = "pps";
export declare const ATTR_URL = "url";
export declare const ATTR_NAME = "name";
export declare const ATTR_VALUE = "value";
export declare const ATTR_ID = "id";
export declare const XML_TAG_PARTIAL_RESP = "partial-response";
export declare const XML_TAG_CHANGES = "changes";
export declare const XML_TAG_UPDATE = "update";
export declare const XML_TAG_DELETE = "delete";
export declare const XML_TAG_INSERT = "insert";
export declare const XML_TAG_EVAL = "eval";
export declare const XML_TAG_ERROR = "error";
export declare const XML_TAG_ATTRIBUTES = "attributes";
export declare const XML_TAG_EXTENSION = "extension";
export declare const XML_TAG_REDIRECT = "redirect";
export declare const XML_TAG_BEFORE = "before";
export declare const XML_TAG_AFTER = "after";
export declare const XML_TAG_ATTR = "attribute";
export declare const UPDATE_FORMS = "myfaces.updateForms";
export declare const UPDATE_ELEMS = "myfaces.updateElems";
export declare const DEFERRED_HEAD_INSERTS = "myfaces.headElems";
export declare const MYFACES = "myfaces";
export declare const MF_NONE = "__mf_none__";
export declare const REASON_EXPIRED = "Expired";
export declare const APPLIED_VST = "myfaces.appliedViewState";
export declare const APPLIED_CLIENT_WINDOW = "myfaces.appliedClientWindow";
export declare const RECONNECT_INTERVAL = 500;
export declare const MAX_RECONNECT_ATTEMPTS = 25;
export declare const UNKNOWN = "UNKNOWN";
/**
 * helper to remap the namespaces variables for 2.3
 * from 2.3 to 4.0 every javax namespace has been changed
 * to faces
 * To take the compatibility layer out this method just has to be
 * changed to a simple value passthrough
 */
export declare function $faces(): FacesAPI;
export declare function $nsp(inputNamespace?: any): any;
